<?php
get_header();
if ( ! is_home() ) {
	$dribbble    = get_theme_mod( 'dribbble' );
	$behance     = get_theme_mod( 'behance' );
	$facebook    = get_theme_mod( 'facebook' );
	$linkedin    = get_theme_mod( 'linkedin' );
	$twitter     = get_theme_mod( 'twitter' );
	$tumblr      = get_theme_mod( 'tumblr' );
	$rss         = get_theme_mod( 'rss' );
	$stumbleupon = get_theme_mod( 'stumbleupon' );
	$vimeo       = get_theme_mod( 'vimeo' );
	$youtube     = get_theme_mod( 'youtube' );
	$googleplus  = get_theme_mod( 'googleplus' );
	$instagram   = get_theme_mod( 'instagram' );
	$pinterest   = get_theme_mod( 'pinterest' );
	$soundcloud  = get_theme_mod( 'soundcloud' );
?>

	<section class="hero">
	<div class="hero-content">
	<?php if ( get_theme_mod( 'hero_heading' ) ) { ?>
	<h1> <?php echo esc_html( get_theme_mod( 'hero_heading' ) ); ?></h1>
	<?php } else { ?>
	<h1><?php _e( 'Over 60% of the Internet is mobile, is your website Mobile Friendly?', 'mobile-friendly' ); ?></h1>
	<?php } ?>
	<?php if ( get_theme_mod( 'hero_secondary' ) ) { ?>
	<h2><?php echo esc_html( get_theme_mod( 'hero_secondary' ) ); ?></h2>
	<?php } else { ?>
	<h2><?php _e( 'Mobile Friendly is a next generation HTML5, CSS3, SEO optimized Mobile Friendly Responsive WordPress theme.', 'mobile-friendly' );?></h2>
	<?php } ?>
	<?php if ( get_theme_mod( 'hero_button_text' ) || get_theme_mod( 'hero_button_url' ) ) { ?>
	<div class="button"><p><a href="<?php echo esc_url( get_theme_mod( 'hero_button_url' ) ); ?>"><?php echo esc_html( get_theme_mod( 'hero_button_text' ) ); ?></a></p></div>
	<?php } else { ?>
	<div class="button"><p><a href="#"><?php _e( 'Download Mobile Friendly', 'mobile-friendly' ); ?></a></p></div>
	<?php } ?>
	<?php if ( get_theme_mod( 'hero_image' ) || get_theme_mod( 'hero_image_alt' ) ) { ?>
	<div class="achimps"><img class="cc-credit-logo" src="<?php echo esc_url( get_theme_mod( 'hero_image' ) ); ?>" alt="<?php echo esc_html( get_theme_mod( 'hero_image_alt' ) ); ?>"/></div>
	<?php } else { ?>
		<div class="achimps"><img class="cc-credit-logo" src="<?php echo esc_url( get_stylesheet_directory_uri() ) . '/images/mobile-friendly.png'; ?>" alt="<?php _e( 'image', 'mobile-friendly' ); ?>"/></div>
	<?php } ?>
	</div>
	</section>

	<?php if ( get_theme_mod( 'cta_text' ) || get_theme_mod( 'cta_image' ) || get_theme_mod( 'cta_button_text' ) || get_theme_mod( 'cta_second_button_text' ) ) { ?>
	<section class="cta">
		<div class="cta-content">
			<div class="featured-image">
				<img src="<?php echo esc_url( get_theme_mod( 'cta_image' ) ); ?>" />
			</div>
			<div class="content">
				<h2><?php echo esc_html( get_theme_mod( 'cta_text' ) ); ?></h2>
				<div class="first-button">
					<p><a href="<?php echo esc_html( get_theme_mod( 'cta_button_url' ) ); ?>"><?php echo esc_html( get_theme_mod( 'cta_button_text' ) ); ?></a></p>
				</div>
				<div class="second-button">
					<p><a href="<?php echo esc_url( get_theme_mod( 'cta_second_button_url' ) ); ?>"><?php echo esc_html( get_theme_mod( 'cta_second_button_text' ) ); ?></a></p>
				</div>
			</div>
		</div>
	</section>
<?php } else { ?>
<section class="cta">
	<div class="cta-content">
		<div class="featured-image">
			<img src="<?php echo esc_url( get_stylesheet_directory_uri() ) . '/images/mobile-friendly.png'; ?>" />
		</div>
		<div class="content">
			<h2><?php _e( 'Interested in learning more about Mobile Friendly Responsive WordPress Theme?', 'mobile-friendly' ); ?></h2>
			<div class="first-button">
				<p><a href="#"><?php _e( 'Learn More', 'mobile-friendly' ); ?></a></p>
			</div>
			<div class="second-button">
				<p><a href="#"><?php _e( 'View Demo', 'mobile-friendly' ); ?></a></p>
			</div>
		</div>
	</div>
</section>
<?php } ?>


<section class="teaser">
	<div class="teaser-content">
		<?php if ( get_theme_mod('cta_text') ) { ?>
		<h3><?php echo esc_html( get_theme_mod('teaser_text') ); ?></h3>
		<?php } else { ?>
		<h3><?php _e( 'Launch an incredible looking website with ease.','mobile-friendly' );?></h3>
		<?php } ?>

		<?php if ( is_active_sidebar('homepage-first') || is_active_sidebar('homepage-second') || is_active_sidebar('homepage-third' ) ) :?>
			<div class="home-text wow fadeInUp">
				<?php dynamic_sidebar('homepage-first'); ?>
			</div>
			<div class="home-text wow fadeInUp">
				<?php dynamic_sidebar('homepage-second'); ?>
			</div>
			<div class="home-text wow fadeInUp">
				<?php dynamic_sidebar('homepage-third'); ?>
			</div>
		</div>
	</section>
<?php endif; ?>

<section class="social">
	<div class="social-content">
		<?php if ( $dribbble || $behance || $facebook || $linkedin || $twitter  || $tumblr || $rss || $stumbleupon || $vimeo || $youtube || $googleplus || $instagram || $pinterest  ) { ?>
			<?php mobile_friendly_social_media();?>
		<?php } else { ?>
			<h4 class="social-help"><?php echo _e('Add social media accounts in the', 'mobile-friendly');?><a href="<?php echo site_url();?>/wp-admin/customize.php?url=http%3A%2F%2F">theme customizer</a></h4>
	<?php	}?>
		</div>
	</section>

<?php } ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<?php if ( is_home() && ! is_front_page() ) : ?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
			<?php endif; ?>

			<?php
			// Start the loop.
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'content', get_post_format() );

			// End the loop.
			endwhile;

			// Previous/next page navigation.
			the_posts_pagination( array(
				'prev_text'          => __( 'Previous page', 'mobile-friendly' ),
				'next_text'          => __( 'Next page', 'mobile-friendly' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'mobile-friendly' ) . ' </span>',
			) );

		// If no content, include the "No posts found" template.
		else :
			get_template_part( 'content', 'none' );

		endif;
		?>

		</main><!-- .site-main -->
	</div><!-- .content-area -->

<?php
if(is_front_page()){
if ( get_theme_mod( 'team' ) == '1' ) {
	?>
	<div class="container" id="team_inner_div">
	<?php
	$mobile_friendly_team_title = get_theme_mod( 'team_title' ) ? get_theme_mod( 'team_title' ) : 'Team';

	?>
	<h2 class="section_title">
	<span><?php echo esc_html( $mobile_friendly_team_title ); ?></span>
	</h2>
	<?php
	$mobile_friendly_team_category = get_theme_mod( 'team_val' );
	if ( ! empty( $mobile_friendly_team_category ) ) {
		$cat_obj_team  = get_term( $mobile_friendly_team_category, 'category' );
		$cat_type_team = $cat_obj_team->name;

		$args_team  = array(
			'numberposts'      => -1,
			'offset'           => 0,
			'category_name'    => $cat_type_team,
			'orderby'          => 'post_date',
			'order'            => 'ASC',
			'post_type'        => 'post',
			'post_status'      => 'publish',
			'suppress_filters' => false,
		);
		$team_posts = get_posts( $args_team );
	}

	if ( ! empty( $team_posts ) ) {
		?>
	<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 team_first_row">
		<?php

		$count_array = array( 1, 2, 5, 6, 9, 10 );
		$count       = 0;
		foreach ( $team_posts as $team ) {
			$count++;

			$post_id = $team->ID;
			$mobile_friendly_showcase_img = wp_get_attachment_url( get_post_thumbnail_id( $post_id ) );
			$mobile_friendly_showcase_title = get_the_title( $post_id );
			$image_id = mobile_friendly_get_attachment_id_from_url($mobile_friendly_showcase_img);
			$alt_text = get_post_meta($image_id, '_wp_attachment_image_alt', true);
			if ( $alt_text == "" )
			$alt_text = get_the_title( $post_id );
			$mobile_friendly_showcase_designation = get_post_meta($post_id, 'mobile_friendly_meta_box_designation', true);
			$mobile_friendly_showcase_desc = $team->post_content;
			$mobile_friendly_showcase_facebook = get_post_meta($post_id, 'mobile_friendly_meta_box_facebook', true);
			$mobile_friendly_showcase_twitter = get_post_meta($post_id, 'mobile_friendly_meta_box_twitter', true);
			$mobile_friendly_showcase_googleplus = get_post_meta($post_id, 'mobile_friendly_meta_box_googleplus', true);
			$mobile_friendly_showcase_linkedin = get_post_meta($post_id, 'mobile_friendly_meta_box_text_linkedin', true);
			?>

			<?php if ( in_array( $count, $count_array ) ) { ?>
	<div class="team_single_row col-md-6">
	<div class="col-xs-6 col-sm-6 col-md-6 team_img">

	<a href="#portfolioModal<?php echo $post_id; ?>" class="portfolio-link" data-toggle="modal">
	<div class="entry_hover animate_icon"></div>
	<div style="background:url('<?php echo esc_url( $mobile_friendly_showcase_img ); ?>'); background-size:cover; height:290px; background-position:center;"></div>
	<i class="fa fa-plus" aria-hidden="true"></i>
	</a>
	<div class="arrow-left"></div>


	</div>
	<div class="col-xs-6 col-sm-6 col-md-6 team_data">
	<div class="team_member">
				<?php echo esc_html( $mobile_friendly_showcase_title ); ?>
	</div>
	<div class="team_designation">
				<?php echo esc_html( $mobile_friendly_showcase_designation ); ?>
	</div>
	<div class="team_desc">
				<?php echo esc_html( wp_trim_words( $mobile_friendly_showcase_desc, 20, '...' ) ); ?>
	</div>


	<div class="social">
				<?php if ( ! empty( $mobile_friendly_showcase_facebook ) ) { ?>
					<a class="tw_showcase_facebook" href="<?php echo esc_url( $mobile_friendly_showcase_facebook ); ?>" target="_blank"><i class="fa fa-facebook" aria-hidden="true"></i></a>
				<?php } ?>
				<?php if ( ! empty( $mobile_friendly_showcase_twitter ) ) { ?>
					<a class="tw_showcase_twitter" href="<?php echo esc_url( $mobile_friendly_showcase_twitter ); ?>" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i></a>
				<?php } ?>
				<?php if ( ! empty( $mobile_friendly_showcase_googleplus ) ) { ?>
					<a class="tw_showcase_googleplus" href="<?php echo esc_url( $mobile_friendly_showcase_googleplus ); ?>" target="_blank"><i class="fa fa-google-plus" aria-hidden="true"></i></a>
				<?php } ?>
				<?php if ( ! empty( $mobile_friendly_showcase_linkedin ) ) { ?>
					<a class="tw_showcase_linkedin" href="<?php echo esc_url( $mobile_friendly_showcase_linkedin ); ?>" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
				<?php } ?></div>
	</div>
	</div>
	<?php } else { ?>
	<div class="team_single_row col-md-6">

	<div class="col-xs-6 col-sm-6 col-md-6 col-md-push-6 col-lg-push-6 team_img">

	<a href="#portfolioModal<?php echo $post_id; ?>" class="portfolio-link" data-toggle="modal">
	<div class="entry_hover animate_icon"></div>
	<div style="background:url('<?php echo esc_url( $mobile_friendly_showcase_img ); ?>'); background-size:cover; height:290px; background-position:center;"></div>
	<i class="fa fa-plus" aria-hidden="true"></i>
	</a>
	<div class="arrow-right"></div>


	</div>

	<div class="col-xs-6 col-sm-6 col-md-6 col-md-pull-6 col-lg-pull-6 team_data">
	<div class="team_member">
				<?php echo esc_html( $mobile_friendly_showcase_title ); ?>
	</div>
	<div class="team_designation">
				<?php echo esc_html( $mobile_friendly_showcase_designation ); ?>
	</div>
	<div class="team_desc">
				<?php echo esc_html( wp_trim_words( $mobile_friendly_showcase_desc, 20, '...' ) ); ?>
	</div>

	<div class="social">
	<?php if(!empty($mobile_friendly_showcase_facebook)) { ?>
	<a class="tw_showcase_facebook" href="<?php echo esc_url($mobile_friendly_showcase_facebook); ?>" target="_blank"><i class="fa fa-facebook" aria-hidden="true"></i></a>
	<?php } ?>
	<?php if(!empty($mobile_friendly_showcase_twitter)) { ?>
	<a class="tw_showcase_twitter" href="<?php echo esc_url($mobile_friendly_showcase_twitter); ?>" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i></a>
	<?php } ?>
	<?php if(!empty($mobile_friendly_showcase_googleplus)) { ?>
	<a class="tw_showcase_googleplus" href="<?php echo esc_url($mobile_friendly_showcase_googleplus); ?>" target="_blank"><i class="fa fa-google-plus" aria-hidden="true"></i></a>
	<?php } ?>
	<?php if(!empty($mobile_friendly_showcase_linkedin)) { ?>
	<a class="tw_showcase_linkedin" href="<?php echo esc_url($mobile_friendly_showcase_linkedin); ?>" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
	<?php } ?></div>
	</div>


	</div>
	<?php } ?>

	<?php if($mobile_friendly_showcase_desc){?>
	<div class="portfolio-modal modal fade" id="portfolioModal<?php echo $post_id; ?>" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-content">
	<div class="close-modal" data-dismiss="modal">
	<div class="lr">
	<div class="rl">
	</div>
	</div>
	</div>
	<div class="container-full-width">
	<div class="row">
	<div class="col-lg-12">
	<div class="modal-body">

	<p class="item-intro text-muted"><?php echo $mobile_friendly_showcase_desc; ?></p>

	</div>
	</div>
	</div>
	</div>
	</div>
	</div>
	<?php }
	}
	?>
	</div>
	<?php $testimonial_full_desc = $team->post_content; ?>
	<div class="portfolio-modal modal fade" id="portfolioModal1" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-content">
	<div class="close-modal" data-dismiss="modal">
	<div class="lr">
	<div class="rl">
	</div>
	</div>
	</div>
	<div class="container-full-width">
	<div class="row">
	<div class="col-lg-12">
	<div class="modal-body">

	<p class="item-intro text-muted"><?php echo $testimonial_full_desc; ?></p>

	</div>
	</div>
	</div>
	</div>
	</div>
	</div>
	<?php
	}
	?>


	</div>



	<?php }
}

get_footer(); ?>
