<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package mobile-friendly
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<header id="masthead" class="site-header" role="banner">
		<div class="header-content">

			<a href="#menu" class="menu-link"><img src="<?php echo esc_url( get_stylesheet_directory_uri() )  . '/images/hamburgers.png'; ?>"></a>
			<nav id="menu" class="main-panel main-navigation" role="navigation">
				<div class="left-panel">
					<span class="icon-cancel"></span>
					<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => false, 'menu_class' => 'menu' ) ); ?>
					<?php
					if ( is_active_sidebar( 'sidebar-1' ) ) {
						dynamic_sidebar( 'sidebar-1' ); } ?>
				</div>
			</nav><!-- #site-navigation -->

			<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'mobile-friendly' ); ?></a>


			<?php ; ?>
			<div class="site-branding">
				<div class="site-branding-wrapper">
				<?php
				the_custom_logo();
				?>
				<div class="site-title-tagline">
		<?php
		if ( ! get_theme_mod( 'responsive_hide_title', 0 ) ) :
			if ( is_front_page() && is_home() ) :

				?>
				<h1 class="site-title h3" <?php responsive_schema_markup( 'site-title' ); ?>><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php

			else :

				?>
				<p class="site-title h3"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				<?php

			endif;
		endif;

		if ( ! get_theme_mod( 'responsive_hide_tagline', 0 ) ) :
			$response_description = get_bloginfo( 'description', 'display' );
			if ( $response_description || is_customize_preview() ) :

				?>
				<p class="site-description"><?php echo esc_html( $response_description ); ?></p>
				<?php

			endif;
		endif;
		?>
		</div>
		</div>
			</div>

			<a href="#right-sidebar" class="sidebar"><img src="<?php echo esc_url( get_stylesheet_directory_uri() )  . '/images/sidebar.png';?>"></a>
			<div id="right-sidebar" class="panel-right widget-area">
			<div class="right-panel">
				<span class="icon-cancel"></span>
				<?php
				wp_list_categories( 'show_count=1&title_li=' );
				if ( is_active_sidebar( 'right-sidebar' ) ) {
					dynamic_sidebar( 'right-sidebar' ); }
					?>
			</div></div><!-- #secondary -->

		</div>
	</header><!-- #masthead -->

	<div id="content" class="site-content">
